# ifndef CppADOpIncluded
# define CppADOpIncluded

// BEGIN SHORT COPYRIGHT
/* -----------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-05 Bradley M. Bell

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
------------------------------------------------------------------------ */
// END SHORT COPYRIGHT

/*
$begin Op$$

$section Compute Values and Derivatives for Taped Operations$$

$childtable%
	CppAD/local/AbsOp.h%
	CppAD/local/AddOp.h%
	CppAD/local/AcosOp.h%
	CppAD/local/AsinOp.h%
	CppAD/local/AtanOp.h%
	CppAD/local/DivOp.h%
	CppAD/local/ExpOp.h%
	CppAD/local/LogOp.h%
	CppAD/local/MulOp.h%
	CppAD/local/SinCos.h%
	CppAD/local/SqrtOp.h%
	CppAD/local/SubOp.h
%$$

$end
*/


# include <CppAD/local/AbsOp.h>
# include <CppAD/local/AddOp.h>
# include <CppAD/local/AsinOp.h>
# include <CppAD/local/AcosOp.h>
# include <CppAD/local/AtanOp.h>
# include <CppAD/local/DivOp.h>
# include <CppAD/local/ExpOp.h>
# include <CppAD/local/LogOp.h>
# include <CppAD/local/MulOp.h>
# include <CppAD/local/SinCos.h>
# include <CppAD/local/SqrtOp.h>
# include <CppAD/local/SubOp.h>


# endif
