# ifndef CppADStdMathLibIncluded
# define CppADStdMathLibIncluded

// BEGIN SHORT COPYRIGHT
/* -----------------------------------------------------------------------
CppAD: C++ Algorithmic Differentiation: Copyright (C) 2003-05 Bradley M. Bell

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
------------------------------------------------------------------------ */
// END SHORT COPYRIGHT

/*
$begin StdMathLib$$
$spell
$$

$index standard, math library$$
$index math, standard library$$
$index library, standard math$$
$section The Standard Library Unary Math Functions$$

$children%
	CppAD/local/Abs.h%
	CppAD/local/Acos.h%
	CppAD/local/Asin.h%
	CppAD/local/Atan.h%
	CppAD/local/Atan2.h%
	CppAD/local/Cos.h%
	CppAD/local/Cosh.h%
	lib/ErrFun.cpp%
	CppAD/local/Exp.h%
	CppAD/local/Log.h%
	CppAD/local/Log10.h%
	CppAD/local/Pow.h%
	CppAD/local/Sin.h%
	CppAD/local/Sinh.h%
	CppAD/local/Sqrt.h
%$$
$table
$rref abs$$
$rref acos$$
$rref asin$$
$rref atan$$
$rref atan2$$
$rref cos$$
$rref cosh$$
$rref erf$$
$rref exp$$
$rref log$$
$rref log10$$
$rref  pow$$
$rref  sin$$
$rref  sinh$$
$rref  sqrt$$
$tend
	

$end
*/

# include <CppAD/local/Abs.h>
# include <CppAD/local/Acos.h>
# include <CppAD/local/Asin.h>
# include <CppAD/local/Atan.h>
# include <CppAD/local/Atan2.h>
# include <CppAD/local/Cos.h>
# include <CppAD/local/Cosh.h>
# include <CppAD/local/Erf.h>
# include <CppAD/local/Exp.h>
# include <CppAD/local/Log.h>
# include <CppAD/local/Log10.h>
# include <CppAD/local/Pow.h>
# include <CppAD/local/Sin.h>
# include <CppAD/local/Sinh.h>
# include <CppAD/local/Sqrt.h>


# endif
